#languageBannerId {
  margin: 2px 0 1px 8px;
  font-family: Arial;
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.5;
  letter-spacing: 0.2px;
  color: rgba(0, 0, 0, 0.95);
}

.embeddedServiceHelpButton {
  z-index: 1001;
}

.embeddedServiceLiveAgentStateChat .endChatContainer .endChatButton {
  margin: 5px 24px;
}

@media only screen and (min-width: 48em) {
  .embeddedServiceHelpButton .helpButton {
    background: transparent;
  }
}

.embeddedServiceSidebarButton.uiButton--inverse:not(:disabled):focus,
.embeddedServiceSidebarButton.uiButton--inverse:not(:disabled):hover {
  background-color: black;
}

.embeddedServiceSidebarButton.uiButton--inverse {
  background: black;
}

.embeddedServiceSidebarButton.uiButton--inverse .label {
  color: white;
}

.embeddedServiceSidebarMinimizedDefaultUI .embeddedServiceLoadingBalls {
  position: fixed !important;
  display: none;
}

.embeddedServiceLiveAgentStateChatInputFooter
  .footerMenuWrapper
  .footer-menu-items
  .slds-dropdown__item
  > a:focus {
  border-color: #fff;
  text-decoration: none !important;
  color: rgba(0, 0, 0, 0.95);
}

.embeddedServiceSidebarForm .fieldList .uiInputText:last-child input,
.embeddedServiceSidebarFormField .slds-style-inputtext {
  width: 312px;
  height: 48px;
  margin: 4px 0 0;
  padding: 11px 15px 11px 12px;
  border: solid 1px rgba(0, 0, 0, 0.25);
  max-width: -webkit-fill-available;
  border-radius: 0px;
}

.footer-menu-items {
  background-color: yellow !important;
  width: 125% !important;
  text-decoration: none !important;
  text-align: center !important;
}

.embeddedServiceSidebarForm .fieldList {
  margin-left: 12px;
  margin-right: 12px;
}

input[id="FirstName"]::placeholder {
  color: #d3d3d3;
}

input[id="LastName"]::placeholder {
  color: #d3d3d3;
}

input[id="Email"]::placeholder {
  color: #d3d3d3;
}

.embeddedServiceSidebarButton,
.embeddedServiceSidebarButton:not(:disabled):focus,
.embeddedServiceSidebarButton:not(:disabled):hover {
  text-decoration: none;
  text-transform: uppercase;
  border-radius: 25px;
  background-color: #000;
  font-family: Arial;
  font-size: 14px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.71;
  letter-spacing: 1.29px;
}

.embeddedServiceHelpButton .helpButton .uiButton {
  position: relative;
  font-family: "Arial", sans-serif;
  min-width: 48px !important;
  max-width: 48px !important;
  border-radius: 100% !important;
  padding: 0 10px;
}

.embeddedServiceHelpButton
  .helpButton
  .helpButtonDisabled
  .embeddedServiceIcon:before {
  content: url("https://www.motorolasolutions.com/content/dam/msi/sfchat/ChatOfflineImage.svg");
  vertical-align: middle;
  margin-left: auto;
  margin-right: auto;
}

.embeddedServiceHelpButton .helpButton .helpButtonEnabled {
  background-color: #005eb8 !important;
  height: 48px;
  border: solid 1px rgba(255, 255, 255, 0.4);
}

.embeddedServiceHelpButton .helpButton .helpButtonDisabled {
  background-color: #000;
  height: 48px;
  border: solid 1px rgba(255, 255, 255, 0.4);
  padding-left: 11px;
}

.embeddedServiceHelpButton .helpButton .helpButtonEnabled .embeddedServiceIcon {
  display: inline-block !important;
  vertical-align: middle;
  margin-left: auto;
  margin-right: auto;
}

.embeddedServiceHelpButton
  .helpButton
  .helpButtonEnabled
  .embeddedServiceIcon:before {
  content: url("https://www.motorolasolutions.com/content/dam/msi/sfchat/ChatOnlineImage.svg");
  vertical-align: middle;
  margin-left: auto;
  margin-right: auto;
}

.embeddedServiceHelpButton
  .helpButton
  .helpButtonDisabled
  .embeddedServiceIcon:before {
  content: url("https://www.motorolasolutions.com/content/dam/msi/sfchat/ChatOfflineImage.svg");
  vertical-align: middle;
  margin-left: auto;
  margin-right: auto;
}

/*onload rectange*/
.embeddedServiceHelpButton .helpButtonLabel,
.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .minimizedText {
  background-color: rgba(0, 0, 0, 0.95);
  min-width: 48px !important;
  max-width: 200px !important;
  height: 14px;
  margin: 0 14px 0 0;
  border-radius: 4px;
  color: rgba(255, 255, 255, 0.95);
  float: right;
  font-size: 12px;
  font-weight: normal;
  font-stretch: normal;
  font-style: normal;
  line-height: 1.5;
  letter-spacing: 0.5px;
  opacity: 0.9;
  padding: 14px;
  position: absolute !important;
  right: 49px;
  top: 2px;
  visibility: hidden;
}

.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .minimizedText {
  right: 28px !important;
  top: -4px !important;
}

/*onload arrow*/
.embeddedServiceHelpButton .uiButton:after,
.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .messageContent:after {
  content: " ";
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 12px 12.5px 0 12.5px;
  border-color: rgba(0, 0, 0, 0.95) transparent;
  position: absolute;
  opacity: 0.9;
  top: 17px;
  right: 45px;
  z-index: 1;
  transform: rotate(270deg);
  cursor: auto;
  white-space: nowrap;
  visibility: hidden;
}

.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .messageContent:after {
  right: 24px !important;
  top: 11px !important;
}

/*.embeddedServiceSidebarMinimizedDefaultUI .content {
    padding: 2px 8px !important;
}*/

/*on hover arrow*/
.embeddedServiceHelpButton:hover .uiButton:after,
.embeddedServiceSidebar:hover .messageContent:after {
  visibility: visible;
}

/* on hover rectangle*/
.embeddedServiceHelpButton:hover .helpButtonLabel,
.embeddedServiceSidebar:hover .minimizedText {
  text-decoration: none;
  cursor: auto;
  visibility: visible;
  box-sizing: unset;
}

.embeddedServiceSidebar .embeddedServiceSidebarMinimizedDefaultUI {
  min-width: 48px !important;
  max-width: 48px !important;
  height: 48px;
  border-radius: 24px !important;
  background-color: #005eb8 !important;
  shadow: level-2;
  bottom: 16px;
  right: 16px;
  border: solid 1px rgba(255, 255, 255, 0.4);
}

.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .messageContent
  .embeddedServiceIcon {
  display: none;
}

.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .messageContent {
  position: fixed;
}

.embeddedServiceSidebar
  .embeddedServiceSidebarMinimizedDefaultUI
  .content:before {
  content: url("https://www.motorolasolutions.com/content/dam/msi/sfchat/ChatOnlineImage.svg");
}

.messageAnimation {
  animation: pulse-blue 2s infinite;
}

@keyframes pulse-blue {
  0% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(52, 172, 224, 0.7);
  }

  70% {
    transform: scale(1);
    box-shadow: 0 0 0 10px rgba(52, 172, 224, 0);
  }

  100% {
    transform: scale(0.95);
    box-shadow: 0 0 0 0 rgba(52, 172, 224, 0);
  }
}

.messageAnimation:hover {
  animation: none;
}

#new-message {
  border-radius: 4px;
  background-color: #ffffff !important;
  color: rgba(o, 0, 0, 0.95);
  box-shadow: 0 12px 16px 0 rgba(35, 35, 35, 0.2);
  background-color: rgba(255, 255, 255, 0);
  display: none;
  position: fixed;
  bottom: 84px;
  right: 15px;
  padding: 16px;
}

#new-message:after {
  content: " ";
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 12px 12.5px 0 12.5px;
  border-color: rgba(255, 255, 255, 0.95) transparent;
  position: absolute;
  top: 100%;
  right: 10%;
  transform: rotate(0);
}

/* new classes for background size,margin and waiting msg queue*/
.embeddedServiceHelpButton .helpButton {
  position: fixed;
  bottom: 16px;
  right: 16px;
  height: 48px;
  width: 48px;
}

.queuePositionNumber {
  display: none;
}

.embeddedServiceSidebarMinimizedDefaultUI .minimizedText {
  top: -10px;
}

.embeddedServiceLiveAgentStateChatMenuMessage .rich-menu-item {
  color: #1569c7 !important;
}

.helpButtonDisabled:hover {
  cursor: pointer;
}

.sffloatwrapper {
  position: fixed;
  right: 0;
  bottom: 0;
  z-index: 1000;
  margin-right: 45px;
}

#sfchatbanner {
  z-index: 1000;
  position: fixed;
  right: 18px !important;
  bottom: 75px !important;
  background-color: #fff;
  border-radius: 4px;
  box-shadow: 0 12px 16px 0 rgba(35, 35, 35, 0.2);
  color: rgba(0, 0, 0, 0.95);
  cursor: initial;
  font: 16px Arial;
  letter-spacing: 0.2px;
  line-height: 1.63;
  padding: 16px;
  display: none;
  height: 147px;
  width: 360px;
  box-sizing: border-box;
}

#sfchatbanner:after {
  bottom: -6px;
  content: " ";
  border-style: solid;
  border-width: 12px 12.5px 0 12.5px;
  border-color: rgba(255, 255, 255, 0.95) transparent transparent transparent;
  position: absolute;
  right: 10px;
  transform: rotate(0);
}

#sfchatbanner.active {
  display: block;
}

#sfchatbanner .first-row-container {
  display: flex;
  justify-content: space-between;
  margin-bottom: 24px;
}

#sfchatbanner .sf-alert-text {
  margin-left: 14px;
}

#sfclose {
  cursor: pointer;
}

#sfclose path {
  stroke-opacity: 0.6;
}

#sfclose:hover path {
  stroke-opacity: 0.95;
}

@media (max-width: 389px) {
  #sfchatbanner {
    padding: 5vw;
    height: 39vw;
    font-size: 4vw;
  }

  #sfchatbanner .first-row-container {
    margin-bottom: 7vw;
  }

  #sfchatbanner .sfchatlogo {
    object-fit: contain;
    width: calc(90% - 24px);
  }
}

div.fieldList > div.inputSplitName,
div.fieldList > div.inputEmail {
  animation: none;
  animation-delay: 0;
  animation-direction: normal;
  animation-duration: 0;
  animation-fill-mode: none;
  animation-iteration-count: 1;
  animation-name: none;
  animation-play-state: running;
  animation-timing-function: ease;
  backface-visibility: visible;
  background: 0;
  background-attachment: scroll;
  background-clip: border-box;
  background-color: transparent;
  background-image: none;
  background-origin: padding-box;
  background-position: 0 0;
  background-position-x: 0;
  background-position-y: 0;
  background-repeat: repeat;
  background-size: auto auto;
  border: 0;
  border-style: none;
  border-width: medium;
  border-color: inherit;
  border-bottom: 0;
  border-bottom-color: inherit;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-style: none;
  border-bottom-width: medium;
  border-collapse: separate;
  border-image: none;
  border-left: 0;
  border-left-color: inherit;
  border-left-style: none;
  border-left-width: medium;
  border-radius: 0;
  border-right: 0;
  border-right-color: inherit;
  border-right-style: none;
  border-right-width: medium;
  border-spacing: 0;
  border-top: 0;
  border-top-color: inherit;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-top-style: none;
  border-top-width: medium;
  bottom: auto;
  box-shadow: none;
  box-sizing: content-box;
  caption-side: top;
  clear: none;
  clip: auto;
  color: inherit;
  columns: auto;
  column-count: auto;
  column-fill: balance;
  column-gap: normal;
  column-rule: medium none currentColor;
  column-rule-color: currentColor;
  column-rule-style: none;
  column-rule-width: none;
  column-span: 1;
  column-width: auto;
  content: normal;
  counter-increment: none;
  counter-reset: none;
  cursor: auto;
  direction: ltr;
  display: inline;
  empty-cells: show;
  float: none;
  font: normal;
  font-family: inherit;
  font-size: medium;
  font-style: normal;
  font-variant: normal;
  font-weight: normal;
  height: auto;
  hyphens: none;
  left: auto;
  letter-spacing: normal;
  line-height: normal;
  list-style: none;
  list-style-image: none;
  list-style-position: outside;
  list-style-type: disc;
  margin: 0;
  margin-bottom: 0;
  margin-left: 0;
  margin-right: 0;
  margin-top: 0;
  max-height: none;
  max-width: none;
  min-height: 0;
  min-width: 0;
  opacity: 1;
  orphans: 0;
  outline: 0;
  outline-color: invert;
  outline-style: none;
  outline-width: medium;
  overflow: visible;
  overflow-x: visible;
  overflow-y: visible;
  padding: 0;
  padding-bottom: 0;
  padding-left: 10px;
  padding-right: 0;
  padding-top: 0;
  page-break-after: auto;
  page-break-before: auto;
  page-break-inside: auto;
  perspective: none;
  perspective-origin: 50% 50%;
  position: static;
  /* May need to alter quotes for different locales (e.g fr) */
  quotes: "\201C""\201D""\2018""\2019";
  right: auto;
  tab-size: 8;
  table-layout: auto;
  text-align: inherit;
  text-align-last: auto;
  text-decoration: none;
  text-decoration-color: inherit;
  text-decoration-line: none;
  text-decoration-style: solid;
  text-indent: 0;
  text-shadow: none;
  text-transform: none;
  top: auto;
  transform: none;
  transform-style: flat;
  transition: none;
  transition-delay: 0s;
  transition-duration: 0s;
  transition-property: none;
  transition-timing-function: ease;
  unicode-bidi: normal;
  vertical-align: baseline;
  visibility: visible;
  white-space: normal;
  widows: 0;
  width: auto;
  word-spacing: normal;
  z-index: auto;
  /* basic modern patch */
  all: initial;
  all: unset;
}
